python-kml_1.3.0~r864+dfsg-1_amd64.deb


Advertisement

Description

python-kml - Library to manipulate KML 2.2 OGC standard files - Python extension

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-kml
Package version 1.3.0~r864+dfsg
Package release 1
Package architecture amd64
Package type deb
Installed size 1.79 KB
Download size 208.12 KB
Official Mirror ftp.br.debian.org
This is a library for use with applications that want to parse,
generate and operate on KML, a geo-data XML variant. It is an
implementation of the OGC KML 2.2 standard. It is written in C++ and
bindings are available via SWIG to Java and Python.
This package contains required extensions for Python applications.

Alternatives

Package Version Architecture Repository
python-kml_1.3.0~r864+dfsg-1_i386.deb 1.3.0~r864+dfsg i386 Debian Main
python-kml - - -

Requires

Name Value
libc6 >= 2.14
libexpat1 >= 2.0.1
libgcc1 >= 1:4.1.1
libkml0 = 1.3.0~r864+dfsg-1
libstdc++6 >= 4.2.1
python >= 2.7
python << 2.8

Provides

Name Value
python2.7-kml -

Download

Type URL
Binary Package python-kml_1.3.0~r864+dfsg-1_amd64.deb
Source Package libkml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-kml deb package:
    # sudo apt-get install python-kml

Files

Path
/usr/lib/pyshared/python2.7/_kmlbase.so
/usr/lib/pyshared/python2.7/_kmldom.so
/usr/lib/pyshared/python2.7/_kmlengine.so
/usr/lib/python2.7/dist-packages/_kmlbase.so
/usr/lib/python2.7/dist-packages/_kmldom.so
/usr/lib/python2.7/dist-packages/_kmlengine.so
/usr/lib/python2.7/dist-packages/kmlbase.py
/usr/lib/python2.7/dist-packages/kmldom.py
/usr/lib/python2.7/dist-packages/kmlengine.py
/usr/share/doc/python-kml/changelog.Debian.gz
/usr/share/doc/python-kml/changelog.gz
/usr/share/doc/python-kml/copyright
/usr/share/pyshared/kmlbase.py
/usr/share/pyshared/kmldom.py
/usr/share/pyshared/kmlengine.py

Changelog

2014-04-22 - Bas Couwenberg <sebastic@xs4all.nl>
libkml (1.3.0~r864+dfsg-1) unstable; urgency=medium
* Bump Standards-Version to 3.9.5, no changes required.
* Repack upstream tarball removing the IETF RFCs included by thirdparty
uriparser documentation.
(closes: #745403)
* Add gbp.conf to use pristine-tar by default.
* Enable parallel builds.
2013-11-10 - Bas Couwenberg <sebastic@xs4all.nl>
libkml (1.3.0~r864-2) unstable; urgency=low
* No Multi-Arch: same for java package, jar contains SWIG generated code.
(closes: #728785)
* Change Priority to optional.
2013-10-05 - Bas Couwenberg <sebastic@xs4all.nl>
libkml (1.3.0~r864-1) unstable; urgency=low
* Merge upstream commit r864:
Allow colors to have leading whitespace, with or without '#'.
* Add myself to Uploaders.
* Update swig.diff to also disable the SWIG version check in configure.ac.
Thanks Ilya Barygin for the patch.
* Update ld-as-needed.diff to fix FTBFS with --as-needed.
Thanks Ilya Barygin for the patch.
(closes: #692055)
* Add hurd.diff to fix FTBFS on hurd-i386.
Thanks Pino Toscano for the patch.
(closes: #671894)
* Refresh patches.
* Use canonical URLs for Vcs-* fields.
* Don't start short description with an article.
* Drop XB-Python-Version from control file.
* Add a watch file.
* Add patch to fix executable-not-elf-or-script for java run.sh example.
* Add lintian override for no fortify functions false positive.
* Drop needless dependency on default-jre for libkml-java.
* Move .so symlinks from java packages to libkml-dev.
* Update copyright file using copyright-format 1.0.
* Add lintian override for source-contains-prebuilt-windows-binary.
* Use minimal dh rules, handle Multi-Arch paths.
* Use dh-autoreconf for retooling.
* Add patch to set subdir-objects automake option for forward compatibility.
* Add patch to fix linking libtool libraries using a non-POSIX archiver.
* Add patch to not build examples, msvc and xcode subprojects.
* Add lintian override for incompatible-java-bytecode-format.
* Add patch headers for all patches.
* Bump Standards-Version to 3.9.4, changes: Vcs-* fields, copyright,
minimal dh rules.
* Build depend on libcurl4-gnutls-dev instead of libcurl4-openssl-dev.
* Also install libminizip headers.
2012-04-17 - Matthias Klose <doko@debian.org>
libkml (1.3.0~r863-4.1) unstable; urgency=low
* Non maintainer upload.
* Fix build failure with GCC 4.7.
2012-03-14 - Francesco Paolo Lovergine <frankie@debian.org>
libkml (1.3.0~r863-4) unstable; urgency=low
* Added liburiparser-dev to libkml-dev.
* Moved to dh_python2 instead of python-central.
* Policy bumped to 3.9.3, no changes required.
* Debhelper level set to 9.
* Refreshed reautoconfiscated.diff to remove a backup file. Thanks doko.
(closes: #650525)
* The ld-as-needed case has been already managed.
(closes: #641681)
2011-07-26 - Francesco Paolo Lovergine <frankie@debian.org>
libkml (1.3.0~r863-3) unstable; urgency=low
* Added swig patch to remove a wrong swig version test.
(closes: #634528)
2011-06-08 - Francesco Paolo Lovergine <frankie@debian.org>
libkml (1.3.0~r863-2) unstable; urgency=low
* New patch geometry_test.diff to remove another failing test.
(closes: #626259)
* Policy bumped to 3.9.2, no changes needed.
2011-03-29 - Francesco Paolo Lovergine <frankie@debian.org>
libkml (1.3.0~r863-1) unstable; urgency=low
* New upstream snapshot for 1.3 series, as taken from svn.
* Patchset updated for current release.
* New patch feature_view_test.diff to remove a failing test.
2011-03-24 - Francesco Paolo Lovergine <frankie@debian.org>
libkml (1.2.0-2) unstable; urgency=low
* Moved to git repository and changed Vcs-* fields in debian/control.
* Changed to debian source 3.0.
* Debhelper level set to 8.
* Wrapped debian/changelog to 80 chars.
* New patch ld-as-needed.diff: it fixes FTBS when --as-needed is used at 
linking time.
(closes: #605889)

See Also

Package Description
python-kmodpy_0.1.10-1_all.deb Python binding for kmod
python-kolab_0.5.3-1_amd64.deb Python bindings for Kolab Library
python-kolabformat_1.0.2-2_amd64.deb Python bindings for Kolab Format 3.0 XML parsing
python-kombu-doc_3.0.21-2_all.deb AMQP Messaging Framework for Python (Documentation)
python-kombu_3.0.21-2_all.deb AMQP Messaging Framework for Python
python-krbv_1.0.90-1_amd64.deb Python extension module for Kerberos 5
python-ktoblzcheck_1.47-1_all.deb library for verification of account numbers and bank codes (Python bindings)
python-kzorp_3.9.5-4_all.deb Python bindings for kzorp
python-laditools_1.0.1-2_all.deb Python module to control and monitor the LADI system
python-lamson_1.0pre11-1_all.deb A pure Python SMTP server
python-landslide_1.0.1-1_all.deb Lightweight markup language-based html5 slideshow generator
python-larch_1.20131130-1_all.deb B-tree library for Python
python-lasso_2.4.1-1_amd64.deb Library for Liberty Alliance and SAML protocols - Python bindings
python-launchpadlib_1.10.2+ds-2_all.deb Launchpad web services client library
python-lazr.config-doc_2.0.1-1_all.deb ini-file format handling supporting schemas and inheritance
Advertisement
Advertisement